Subject: Re: [PATCH] fast-import: Stream very large blobs directly to pack

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 29 Jan 2010 10:44:03 -0800

Sverre Rabbelier <[email-masked]> wrote:
> On Fri, Jan 29, 2010 at 19:37, Shawn O. Pearce <[email-masked]> wrote:
> > I was intentionally slating this for maint, to fix a bug a user
> > reported when handling large streams.
> 
> Ah, sorry, did not notice that.
> 
> Speaking of which, how does one figure out what commit a patch
> is/could be based on? Couldn't we include that in the part behind the
> triple dash?

You have to tell the other guy in your cover letter section.  You can
try to guess if the index information is accurate by grepping
around a log output looking for that blob sha-1 and then finding
what branch that's in.  Its not pretty.

IIRC other DVCS systems include the ancestor identity in their
patch output.  Git doesn't bother, because in a multi-patch series
the 2nd (and subsequent) patches would have useless id information.

-- 
Shawn.